> ## Documentation Index
> Fetch the complete documentation index at: https://docs.appz.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Teams

> Get a paginated list of all the Teams the authenticated User is a member of.



## OpenAPI

````yaml Get /teams
openapi: 3.1.0
info:
  version: 1.0.0
  title: Appz Api
servers:
  - url: https://api.youappz.dev
    description: Production API
security:
  - Bearer: []
paths:
  /teams:
    get:
      tags:
        - teams
      parameters:
        - schema:
            type: integer
            description: Maximum number of teams to list from a request
            query:
              name: limit
              in: query
            example: 20
          required: false
          name: limit
          in: query
        - schema:
            type: integer
            description: Get teams created after this JavaScript timestamp
            query:
              name: since
              in: query
            example: '1540095775941'
          required: false
          name: since
          in: query
        - schema:
            type: integer
            description: Get teams created before this JavaScript timestamp
            query:
              name: until
              in: query
            example: '1540095775941'
          required: false
          name: until
          in: query
      responses:
        '200':
          description: The paginated list of teams
          content:
            application/json:
              schema:
                type: object
                properties:
                  teams:
                    type: array
                    items:
                      $ref: '#/components/schemas/Team'
                  pagination:
                    type: object
                    properties:
                      count:
                        type: number
                        description: Amount of items in the current page.
                        example: 20
                      next:
                        type:
                          - number
                          - 'null'
                        description: Timestamp that must be used to request the next page.
                        example: 1540095775951
                      prev:
                        type:
                          - number
                          - 'null'
                        description: >-
                          Timestamp that must be used to request the previous
                          page.
                        example: 1540095775951
                    required:
                      - count
                      - next
                      - prev
                    description: >-
                      This object contains information related to the pagination
                      of the current request, including the necessary parameters
                      to get the next or previous page of data.
                    title: Pagination
                required:
                  - teams
                  - pagination
        '400':
          description: Returns a validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 400
                  message:
                    type: string
                    example: >-
                      One of the provided values in the request body/query is
                      invalid
                required:
                  - code
                  - message
components:
  schemas:
    Team:
      type: object
      properties:
        id:
          type: string
        slug:
          type: string
        name:
          type:
            - string
            - 'null'
        avatar:
          type:
            - string
            - 'null'
        createdBy:
          type:
            - number
            - 'null'
        createdAt:
          type: number
        updatedAt:
          type: number
      required:
        - id
        - slug
        - name
        - avatar
        - createdBy
        - createdAt
        - updatedAt
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````